%define pk_min_version 0.6.11

## include app-install support and/or for testing/customizing categories.xml
#define app_install 1

Name:	  	kpackagekit
Version:	0.6.3.3
Release:	2%{?dist}
Summary:	KDE interface for PackageKit

License:	GPLv2+
Group:		Applications/System
%if 0%{?snap}
Source0:        kpackagekit-%{version}%{?snap:-%{snap}}.tar.bz2
Source1:	kpackagekit-translations-%{snap}.tar.bz2
Source2:	kpackagekit_snapshot.sh
# Patched create_tarball.rb for translations only. Use this config:
# [kpackagekit]
# mainmodule   = playground
# submodule    = sysadmin
# kde_release  = no
# version      = translations-%{snap}
# docs         = no
# translations = yes
Source3:	create_tarball_translations_only.rb
%else
Source0:	http://kde-apps.org/CONTENT/content-files/84745-kpackagekit-%{version}.tar.bz2
%endif
URL:		http://www.kde-apps.org/content/show.php/KPackageKit?content=84745
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# enable "ShowVersion" option by default
# http://bugzilla.redhat.com/665372
Patch1: kpackagekit-0.6.3.2-showversion.patch
# enable "ShowArch" option by default, 
# on multilib-capable archs where it matters more
%define multilib_arch x86_64
Patch2: kpackagekit-0.6.3.2-showarch.patch

## upstream patches

# required because gnome-packagekit provides exactly the same interface
Provides: PackageKit-session-service

BuildRequires:  dbus-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:	kde-filesystem
BuildRequires:	kdelibs4-devel
BuildRequires:	PackageKit-qt-devel >= %{pk_min_version} 

%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
%{?_kde4_version:Requires: kdebase-workspace >= %{_kde4_version}}
%global pk_version %(pkg-config --modversion packagekit-qt 2> /dev/null || echo %{pk_min_version})
Requires: PackageKit-qt%{?_isa} >= %{pk_version}

%description
KDE interface for PackageKit.


%prep
%setup -q -n kpackagekit-%{version} %{?snap:-a 1}

%if 0%{?snap}
cat kpackagekit-translations-%{snap}/CMakeLists.txt >>CMakeLists.txt
rm -f kpackagekit-translations-%{snap}/CMakeLists.txt
mv -f kpackagekit-translations-%{snap}/po po
mv -f kpackagekit-translations-%{snap}/doc-translations doc-translations
rmdir kpackagekit-translations-%{snap}
%endif

%patch1 -p1 -b .showversion
%ifarch %{multilib_arch}
%patch2 -p1 -b .showarch
%endif


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  %{?app_install:-DAPPINSTALL=ON} \
  ..  
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=${RPM_BUILD_ROOT} -C %{_target_platform}

%find_lang kpackagekit

# hack around gnome-packagekit conflict
mv $RPM_BUILD_ROOT%{_datadir}/dbus-1/services/org.freedesktop.PackageKit.service \
   $RPM_BUILD_ROOT%{_datadir}/dbus-1/services/kde-org.freedesktop.PackageKit.service

desktop-file-install \
  --dir=$RPM_BUILD_ROOT%{_kde4_datadir}/applications/kde4 \
  --add-category="Settings" \
  $RPM_BUILD_ROOT%{_kde4_datadir}/applications/kde4/kpackagekit.desktop


%check
desktop-file-validate $RPM_BUILD_ROOT%{_kde4_datadir}/applications/kde4/kpackagekit.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files -f kpackagekit.lang
%defattr(-,root,root,-)
%{_kde4_bindir}/kpackagekit
%{_kde4_libdir}/libkpackagekitlib.so
%{_kde4_libdir}/kde4/*.so
%{_kde4_libexecdir}/kpackagekitsmarticon
%{_kde4_datadir}/applications/kde4/kpackagekit.desktop
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/services/kded/*.desktop
%{_kde4_appsdir}/kpackagekit/
%{_kde4_appsdir}/KPackageKitSmartIcon/
%{_datadir}/dbus-1/services/org.kde.KPackageKitSmartIcon.service
%{_datadir}/dbus-1/services/kde-org.freedesktop.PackageKit.service
%if 0%{?app_install}
# own this until app-install or something better comes along -- Rex
%dir %{_datadir}/app-install
# TODO: fix this to match comps' categories/groups
%{_datadir}/app-install/categories.xml
%endif


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 03 2011 Rex Dieter <rdieter@fedoraproject.org> 0.6.3.3-1
- 0.6.3.3 release

* Thu Dec 23 2010 Rex Dieter <rdieter@fedoraproject.org> 0.6.3.2-2
- show version information by default (#665372)
- show arch information by default (on multilib-capable archs)
- upstream patch for issues found by valgrind

* Thu Dec 23 2010 Rex Dieter <rdieter@fedoraproject.org> 0.6.3.2-1
- 0.6.3.2 release

* Wed Dec 22 2010 Rex Dieter <rdieter@fedoraproject.org> 0.6.3-3
- fix for software_sources category
- fix reported version

* Wed Dec 22 2010 Rex Dieter <rdieter@fedoraproject.org> 0.6.3-2
- fix/improve browsing pk categories

* Tue Dec 21 2010 Rex Dieter <rdieter@fedoraproject.org> 0.6.3-1
- kpk-0.6.3

* Wed Dec 15 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.6.3-0.2.20101214
- fetch translations from SVN

* Tue Dec 14 2010 Rex Dieter <rdieter@fedoraproject.org> 0.6.3-0.1.20101214
- 0.6.3 snapshot (sans translations)

* Tue Oct 12 2010 Steven M. Parrish <smparrish@gmail.com> 0.6.2-1
- New upstream release

* Tue Sep 21 2010 Lukas Tinkl <ltinkl@redhat.com> - 0.6.1-2
- fix wrong i18n() usage in a patch resulting in broken translations

* Wed Sep 07 2010 Steven M. Parrish <smparrish@gmail.com> - 0.6.1-1
- New upstream release

* Fri Mar 26 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.6.0-2
- rebase InstallPrinterDrivers patch
- readd disttag

* Fri Mar 26 2010 Steven M. Parrish <smparrish@gmail.com> - 0.6.0-1
- Official 0.6.0 release

* Wed Mar 24 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.6.0-0.9.20100301svn
- add support for automatic printer driver installation (Tim Waugh, #576615)

* Sat Mar 13 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.6.0-0.8.20100301svn
- add minimal kdelibs4 runtime dependency

* Tue Mar 02 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.6.0-0.7.20100301svn
- update to 20100301 SVN snapshot

* Fri Feb 26 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.6.0-0.6.20100223svn
- update to 20100223 SVN snapshot
- include translations again

* Wed Feb 24 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.6.0-0.5.r1095080
- r1095080

* Wed Feb 24 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.6.0-0.4.20100224
- fresh 20100224 svn snapshot

* Fri Feb 05 2010 Richard Hughes  <rhughes@redhat.com> - 0.6.0-0.3.20100111
- Add Provides: PackageKit-session-service
- Resolves #561437

* Thu Jan 14 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.6.0-0.2.20100111
- File conflict between kpackagekit and gnome-packagekit (#555139)

* Mon Jan 11 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.6.0-0.1.20100111
- kpk-0.6.0 2001-01-11 snapshot

* Mon Jan 11 2010 Richard Hughes  <rhughes@redhat.com> - 0.5.2-3
- Rebuild for PackageKit-qt soname bump

* Thu Dec 10 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.2-2
- Clean up spec file 

* Mon Dec 07 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.2-1
- New upstream release

* Thu Nov 19 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.1.1-2
- Remove no longer need patches

* Tue Nov 17 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.1.1-1
- New upstream release fixes #531447, #533755, #536930

* Sat Oct 31 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0.3-1
- Official 0.5.0.3 release

* Sun Oct 25 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0.2-1
- Official 0.5.0.2 release

* Tue Oct 20 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0.1-1
- Official 0.5.0.1 release
- Includes patch to fix (#469375) default/none issue

* Tue Sep 15 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090915svn
- New git snapshot

* Tue Sep 08 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090908svn
- New git snapshot, disable history

* Wed Sep 02 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090902svn
- New git snapshot

* Mon Aug 24 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090824svn
- New git snapshot

* Wed Aug 19 2009 Steven M. Parrish <smparrish@gmail.com> - 0.5.0-0.1.20090819svn
- New upstream release with PolicyKit 1 integration

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 16 2009 Steven M. Parrish <smparrish@gmail.com> 0.4.1.1-3
- Now includes Sloval(sk) translations

* Tue Jul 7 2009 Steven M. Parrish <smparrish@gmail.com> 0.4.1.1-2
- rebuild for new packagekit

* Thu Jun 11 2009 Steven M. Parrish <smparrish@gmail.com> 0.4.1.1-1
- Fixed all krazy issues (2 or 3 not much important changed in backend details)
- With KDE >= 4.2.3 persistent notifications are working again so the code to use it was commented out
- Getting duplicated updates was trully fixed
- Added "details" button on error notifications

* Fri Jun 05 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.4.1-3
- apply awol InitialPreference patch

* Fri Jun 05 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> - 0.4.1-2
- Added missing translations

* Fri Jun 05 2009 Rex Dieter <rdieter@fedoraproject.org> 0.4.1-1
- min pk_version 0.4.7
- touchup %%files
- highlight missing translations during build (but make it non-fatal)
- drop upstreamed patches

* Fri Jun 05 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> - 0.4.1-0
- New upstream release.  Fixes compatibility with Packagekit 0.4.8 (#503989)

* Tue Apr 28 2009 Lukáš Tinkl <ltinkl@redhat.com> - 0.4.0-7
- upstream patch to fix catalog loading (#493061)

* Thu Apr 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.4.0-6
- make update notification persistent (#485796)

* Tue Mar 31 2009 Lukáš Tinkl <ltinkl@redhat.com> - 0.4.0-5
- another respun tarball to fix using those translations (#493061)

* Tue Mar 17 2009 Lukáš Tinkl <ltinkl@redhat.com> - 0.4.0-4
- respun (fixed) tarball with translations included

* Mon Mar 09 2009 Richard Hughes  <rhughes@redhat.com> - 0.4.0-3
- Rebuild for PackageKit-qt soname bump

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org> 0.4.0-1
- Official 0.4.0 release

* Fri Feb 06 2009 Rex Dieter <rdieter@fedoraproject.org> 0.4.2-0.2.20090128svn
- workaround: mime-type/extension binding for .rpm is wrong (#457783)

* Wed Jan 28 2009 Steven M. Parrish <smparrish@shallowcreek.net> 0.4.2-0.1.20090128svn
- Corrected release tag

* Wed Jan 28 2009 Steven M. Parrish <smparrish@shallowcreek.net> 0-0.1.20090128svn
- Corrected release tag

* Wed Jan 28 2009 Steven M. Parrish <smparrish@shallowcreek.net> 0.4.2-svn.1
- SVN build to solve compatibility issues with packagekit 0.4.2

* Wed Nov 26 2008 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-6
- respin (PackageKit)
- spec cleanup

* Sat Nov 01 2008 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-5
- use PackageKit's FindQPackageKit.cmake

* Tue Oct 21 2008 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-4
- build against PackageKit-qt

* Mon Oct 20 2008 Rex Dieter <rdieter@fedoraproject.rog> 0.3.1-3
- patch kpackagekit.desktop (guessed correct X-DBUS-ServiceName value), 
- fixes: KDEInit could not launch "/usr/bin/kpackagekit"
- cleanup %%files

* Thu Oct 16 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.3.1-2
- Fix build error

* Thu Oct 16 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.3.1-1
- New upstream release

* Mon Sep 29 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-1
- Official 0.1 release

* Sun Aug 24 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.3.b4
- Excluded underdevelopment binaries and associated files 

* Fri Aug 22 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.2.b4
- Adding missing files

* Tue Aug 19 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.1.b4
- New upstream release

* Fri Aug 01 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.5.b3
- Corrected SPEC file regression

* Thu Jul 31 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.4.b3
- Changed wording on serveral windows to make them better understood

* Thu Jul 24 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.3.b3
- Removed additional uneeded BRs

* Tue Jul 22 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.2.b3
- Removed uneeded BRs
- Made use of predefined macros

* Wed Jul 16 2008 Steven M. Parrish <smparrish@shallowcreek.net> 0.1-0.1.b3
- Initial SPEC file
